Package com.fasterxml.jackson.datatype.jdk8

# Class StreamSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<T>
com.fasterxml.jackson.databind.ser.std.StdSerializer<Stream<?>>
com.fasterxml.jackson.datatype.jdk8.StreamSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `com.fasterxml.jackson.databind.ser.ContextualSerializer`, `Serializable`

public class StreamSerializer extends com.fasterxml.jackson.databind.ser.std.StdSerializer<Stream<?>> implements com.fasterxml.jackson.databind.ser.ContextualSerializer
Common typed stream serializer

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

## Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

## Constructor Summary

Constructors
Constructor
Description
`StreamSerializer(com.fasterxml.jackson.databind.JavaType streamType, com.fasterxml.jackson.databind.JavaType elemType)`
Constructor
`StreamSerializer(com.fasterxml.jackson.databind.JavaType streamType, com.fasterxml.jackson.databind.JavaType elemType, com.fasterxml.jackson.databind.JsonSerializer<Object> elemSerializer)`
Constructor with custom serializer

## Method Summary

Modifier and Type
Method
Description
`com.fasterxml.jackson.databind.JsonSerializer<?>`
`createContextual(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.BeanProperty property)`
`void`
`serialize(Stream<?> stream, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamSerializer

public StreamSerializer(com.fasterxml.jackson.databind.JavaType streamType, com.fasterxml.jackson.databind.JavaType elemType)
Constructor

Parameters:
  `streamType` - Stream type
  `elemType` - Stream elements type (matching T)

### StreamSerializer

public StreamSerializer(com.fasterxml.jackson.databind.JavaType streamType, com.fasterxml.jackson.databind.JavaType elemType, com.fasterxml.jackson.databind.JsonSerializer<Object> elemSerializer)
Constructor with custom serializer

Parameters:
  `streamType` - Stream type
  `elemType` - Stream elements type (matching T)
  `elemSerializer` - Custom serializer to use for element type

## Method Details

### createContextual

public com.fasterxml.jackson.databind.JsonSerializer<?> createContextual(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.BeanProperty property) throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `createContextual` in interface `com.fasterxml.jackson.databind.ser.ContextualSerializer`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

### serialize

public void serialize(Stream<?> stream, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider) throws IOException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<Stream<?>>`
Throws:
  `IOException`